- Main Page
- Classes
- Files

- File List
- File Members

# sql_buffer.h File Reference

Declares the SQLBuffer class. More...

`#include "refcounted.h"`
`#include "type_info.h"`
`#include <string>`

Include dependency graph for sql_buffer.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | mysqlpp
## Classes
class | mysqlpp::SQLBuffer
| Holds SQL data in string form plus type information for use in converting the string to compatible C++ data types. More...
## Typedefs
typedef RefCountedPointer< SQLBuffer > | mysqlpp::RefCountedBuffer
| Reference-counted version of SQLBuffer.

## Detailed Description

Declares the SQLBuffer class.